MozillaZine

Anyone here running v56 or older?

User Help for Mozilla Firefox
T0morrow

User avatar
 
Posts: 302
Joined: April 9th, 2010, 9:16 am

Post Posted May 4th, 2019, 7:41 am

Is the addons disabled thing fixed for you now?

There is no studies option in older versions and adding normandy related prefs likely does nothing.
Currently all my extensions are working but addon manager only displays some of my extensions. Not all.

During the mess that took place all my webextensions got disabled. They seem to be working now but i still have to figure out the addonmanager display issue.

therube

User avatar
 
Posts: 19532
Joined: March 10th, 2004, 9:59 pm
Location: Maryland USA

Post Posted May 4th, 2019, 1:04 pm

Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.1.19) Gecko/20110420 SeaMonkey/2.0.14 Pinball CopyURL+ FetchTextURL FlashGot NoScript

videobruce
 
Posts: 205
Joined: March 25th, 2006, 11:38 am
Location: Buffalo NY

Post Posted May 4th, 2019, 1:11 pm

In v56 xpinstall.signatures.required was already set to 'false'.

Now what???
Chrome-Dome is a poor excuse for a browser. It doesn't even have a Menu Bar which should be standard for any & all programs in spite of M$'s 'toy phone' look change in W10.

karenanne
 
Posts: 532
Joined: September 18th, 2004, 5:16 am

Post Posted May 4th, 2019, 1:17 pm

I'm using 49.0.2. xpinstall.signatures.required false did not help.

therube

User avatar
 
Posts: 19532
Joined: March 10th, 2004, 9:59 pm
Location: Maryland USA

Post Posted May 4th, 2019, 1:21 pm

Hmm.

I didn't actually check 56, just 52.


Opening 56, I see (in Addons Manager):

Code: Select all
hotfix-update-xpi-intermediate 1.0.2
This is a hotfix that updates an intermediate certificate used for signing add-ons. It is one of the mechanisms used to fix bug 1548973.


Really surprised to see that.
Nonetheless, extensions (NoScript) are not working (in 56).

https://bugzilla.mozilla.org/show_bug.cgi?id=1549017
DUP'd to, https://bugzilla.mozilla.org/show_bug.cgi?id=1548973.


So offhand, not really sure about 56?


Though look on the bright side, Pocket works :-).
Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.1.19) Gecko/20110420 SeaMonkey/2.0.14 Pinball CopyURL+ FetchTextURL FlashGot NoScript

anon42
 
Posts: 303
Joined: December 1st, 2005, 12:07 am

Post Posted May 4th, 2019, 1:51 pm

I was using 48.0.2 and just switched to 45.9.0ESR with xpinstall.signatures.required set false (and extensions.update.enabled to disable update checks). Its' supposed to be later thant 48.0.2 but still runs on my Mac OS Snow Leopard (10.6.7). While it does appear to re re-enable the ones that were previously disabled the "could not be verified" warnings are still there.

One caution about switching to a FF with an earlier version number. It may still cause some of your add-ons to be disabled if those add-ons version range is outside that FF version you are using. Only one of my add-ons got caught by that one so I had to tweak the xpi version range to allow it to load.

DanNJ316
 
Posts: 8
Joined: May 7th, 2015, 7:42 pm
Location: Mount Arlington, NJ

Post Posted May 4th, 2019, 1:54 pm

I'm using 56.0.2 and tried the setting xpinstall.signatures.required Pref to 'false' work around that has been suggested, and nothing changed, add-ons still disabled. What's the recommendation from here, use another browser and wait it out?

wdc1
 
Posts: 8
Joined: November 15th, 2017, 10:11 am

Post Posted May 4th, 2019, 2:09 pm

I was using 56.0.2 also and got messed up with adblock plus addon, tried everything to no avail, finally I uninstalled FF and installed Chrome, I won't use FF ever again. enough is enough.

kerft
 
Posts: 237
Joined: January 30th, 2019, 9:38 am

Post Posted May 4th, 2019, 2:20 pm

My suggestion from another thread is: For versions less than 66 and higher than 45 there isn't as easy a fix. Perhaps there will be a study or hotfix on Monday for older versions, perhaps not. Perhaps you can find a nightly version you like or an old developer version. This would be a good weekend to install a portable version of Firefox 66, Firefox 45.9.0ESR, or some other browser.

therube

User avatar
 
Posts: 19532
Joined: March 10th, 2004, 9:59 pm
Location: Maryland USA

Post Posted May 4th, 2019, 2:32 pm

FF 56 needs the hack, https://forums.informaction.com/viewtop ... 91#p100091.


ESR versions should work with only the xpinstall.signatures.required Pref change.


(There are separate hacks for FF < 55 & FF > 55.)
Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.1.19) Gecko/20110420 SeaMonkey/2.0.14 Pinball CopyURL+ FetchTextURL FlashGot NoScript

T0morrow

User avatar
 
Posts: 302
Joined: April 9th, 2010, 9:16 am

Post Posted May 4th, 2019, 3:01 pm

Firefox ESR, Firefox for Android, and some versions of Firefox included with Linux distributions will require separate updates.

https://blog.mozilla.org/addons/2019/05 ... n-firefox/

My Firefox 55.0.3 installation behaves erratically. Sometimes all addons work. Sometimes only some work but all times addon manager fails to show full list of addons. I have tried all previous hacks and tricks. Even restored profile from 2nd may 2019 and still nothing. When i restore the profile the addon manager loses it almost immideatly and number of minutes later some of my addons stop working.

Morisato
 
Posts: 17
Joined: June 5th, 2008, 11:06 pm

Post Posted May 4th, 2019, 4:05 pm

Glad I am not the only one with this issue as well. Sadly xpinstall.signatures.required on false only works for non-standard releases (ESR/Nightly/Dev) types of builds.

T0morrow

User avatar
 
Posts: 302
Joined: April 9th, 2010, 9:16 am

Post Posted May 4th, 2019, 5:31 pm

Ok. Just found this on reddit. On my 55.0.3 atleast it did not break anything unlike the similar script for newer versions. But addon manager is still unable to display all addons for some reason:

This does not work for FF versions older than v57.

I use v56.0.2 because that was the last time we actually got to customize the browser (yes, boo me for using an old version).
So I dug around a little (okay, a lot) and worked out a solution for v <= 56.
Version for FF v <= 56

Code: Select all
// For FF < v57 >...?
async function set_addons_as_signed() {
   Components.utils.import("resource://gre/modules/addons/XPIProvider.jsm");
   Components.utils.import("resource://gre/modules/AddonManager.jsm");
   let XPIDatabase = this.XPIInternal.XPIDatabase;
   let addons = await XPIDatabase.getAddonList(a => true);
   for (let addon of addons) {
      // The add-on might have vanished, we'll catch that on the next startup
      if (!addon._sourceBundle.exists())
         continue;
      if( addon.signedState != AddonManager.SIGNEDSTATE_UNKNOWN)
         continue;
      addon.signedState = AddonManager.SIGNEDSTATE_NOT_REQUIRED;
                AddonManagerPrivate.callAddonListeners("onPropertyChanged",
                    addon.wrapper,
                    ["signedState"]);
      await XPIProvider.updateAddonDisabledState(addon);
   }
   XPIDatabase.saveChanges();
}
set_addons_as_signed();


Please let me know which versions are compatible, and where it breaks down!

Don't forget to enable devtools.chrome.enabled in about:config and use the actual browser console, not the web console

CTRL+SHIFT+J

Found here: https://www.reddit.com/r/firefox/commen ... l/emilwg4/

karenanne
 
Posts: 532
Joined: September 18th, 2004, 5:16 am

Post Posted May 4th, 2019, 5:33 pm

kerft wrote:My suggestion from another thread is: For versions less than 66 and higher than 45 there isn't as easy a fix. Perhaps there will be a study or hotfix on Monday for older versions, perhaps not. Perhaps you can find a nightly version you like or an old developer version. This would be a good weekend to install a portable version of Firefox 66, Firefox 45.9.0ESR, or some other browser.


This would be a good weekend to convert completely to chrome. What a mess. I still have to see an explanation of what exactly happened. If some certificate expired, why can't it just be renewed?

nowheregirl
 
Posts: 6
Joined: May 4th, 2019, 5:38 pm

Post Posted May 4th, 2019, 6:21 pm

    Finally I've got all my things working. Here's what I did for my FF 56.0.2.

    1. Got the "hack" as suggested (thanks to therube) from here.
    Though the "download" link didn't work for me so I just created "mozilla.cfg" and "autoconfig.js" files by coping the source, put them into the same folder where firefox.exe was located.

    2. Restarted FF but nothing changed. My add-ons still remained disabled.

    3. Tried to install one of them from the official FF Add-ons site without removing it beforehand and it worked!

    4. As quite a few of them couldn't be found on the site, I dug into the folder where all the add-on files (xpi files) were stored, then dragged one by one into FF's "about:addons" Extensions management page. EVERYTHING STARTED WORKING.


    I guess that the key is not removing any of your add-ons that are disabled because if you do, then those xpi files and the settings/preferences will also be gone. When I got my things working, the settings were retrieved as well.


    Hope this works for those are still struggling.

    Return to Firefox Support


    Who is online

    Users browsing this forum: No registered users and 8 guests